"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFilePathsFromRegex = void 0;
const glob_1 = require("glob");
const util = __importStar(require("util"));
const logger_1 = require("./logger");
const getFilesFromRegex = util.promisify(glob_1.Glob);
const getFilePathsFromRegex = (srcFiles) => __awaiter(void 0, void 0, void 0, function* () {
    const srcFilesRegexExpressions = srcFiles;
    const filePaths = [];
    for (const regex of srcFilesRegexExpressions) {
        const directoryFiles = yield getFilesFromRegex(regex, {
            nodir: true
        });
        if (directoryFiles.length === 0) {
            logger_1.Logger.verboseInfo(`No matching files for regex: "${regex}"`);
        }
        else {
            filePaths.push(...directoryFiles);
        }
    }
    return filePaths;
});
exports.getFilePathsFromRegex = getFilePathsFromRegex;
//# sourceMappingURL=regex-helpers.js.map