"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfigPath = exports.setupFilesOptionsCommander = void 0;
const commander_1 = __importDefault(require("commander"));
const packgeJSON = __importStar(require("../../../../package.json"));
const code_snippet_generators_1 = require("../../generators/code-snippet-generators");
const default_files_conversion_options_1 = require("../default-options/default-files-conversion-options");
const setupFilesOptionsCommander = () => {
    const collect = (value, previous) => previous.concat([value]);
    commander_1.default
        .version(packgeJSON.version)
        .option('--config <string>', 'path to the configuration file')
        .option('--tsx <boolean>', 'generate tsx files', false)
        .option('-t --typeName <string>', 'name of the generated enumeration type', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.typeName)
        .option('--generateType <boolean>', 'prevent generating enumeration type', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.generateType)
        .option('--generateTypeObject <boolean>', 'generate type object', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.generateTypeObject)
        .option('--barrelFileName <string>', 'name to use for the barrel file', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.barrelFileName)
        .option('-d --delimiter <Delimiter>', `delimiter which is used to generate the types and name properties (${Object.values(code_snippet_generators_1.Delimiter).join(',')})`)
        .option('-p --prefix <string>', 'prefix for the generated svg constants', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.prefix)
        .option('-i --interfaceName <string>', 'name for the generated interface', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.interfaceName)
        .option('-s --srcFiles <value>', 'name of the source directory', collect, [])
        .option('-o --outputDirectory <string>', 'name of the output directory', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.outputDirectory)
        .option('--svgoConfig <any>', 'Path to svgo configuration JSON or inline svgo configuration object')
        .option('--modelFileName <string>', 'FileName of the model file (only necessary when conversion type is set to files)', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.modelFileName)
        .option('--iconsFolderName <string>', 'Name of the folder the icons will be generated to (only necessary when conversion type is set to files)', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.iconsFolderName)
        .option('--additionalModelOutputPath <string>', 'Additional outputpath for the models file (only helpful when conversion type is set to files)', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.additionalModelOutputPath)
        .option('--compileSources <boolean>', 'Tells if the sources should be precompiled with the TypeScript compiler. If true, you will only end up with d.ts and js files (only necessary when conversion type is set to files)', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.compileSources)
        .option('--compilationOutput <string>', 'Which module svg-to-ts should compile the source to (possible values are, ESM, UMD, ESM_AND_UMD)', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.compilationOutput)
        .option('--exportCompleteIconSet <boolean>', 'Specifies if the complete icon set should be exported or not', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.exportCompleteIconSet)
        .option('--completeIconSetName <string>', 'The name of the generated complete icon set file', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.completeIconSetName)
        .option('--verbose <boolean>', 'Specifies if a verbose log message should be printed or not', default_files_conversion_options_1.DEFAULT_FILES_CONVERSION_OPTIONS.verbose)
        .parse(process.argv);
};
exports.setupFilesOptionsCommander = setupFilesOptionsCommander;
const getConfigPath = () => commander_1.default.config;
exports.getConfigPath = getConfigPath;
//# sourceMappingURL=file-options.commander.js.map