"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.collectCommandLineConstantOptions = void 0;
const commander_1 = __importDefault(require("commander"));
const svg_optimization_1 = require("../../../helpers/svg-optimization");
const default_constants_conversion_options_1 = require("../../default-options/default-constants-conversion-options");
const command_line_collector_helpers_1 = require("./command-line-collector.helpers");
const collectCommandLineConstantOptions = () => __awaiter(void 0, void 0, void 0, function* () {
    let { tsx, delimiter, fileName, interfaceName, enumName, outputDirectory, prefix, typeName, generateType, generateTypeObject, generateEnum, exportCompleteIconSet, completeIconSetName, verbose } = commander_1.default;
    let svgoConfig = commander_1.default.svgoConfig;
    tsx = (0, command_line_collector_helpers_1.toBoolean)(tsx, default_constants_conversion_options_1.DEFAULT_CONST_CONVERSION_OPTIONS.tsx);
    generateType = (0, command_line_collector_helpers_1.toBoolean)(generateType, default_constants_conversion_options_1.DEFAULT_CONST_CONVERSION_OPTIONS.generateType);
    generateTypeObject = (0, command_line_collector_helpers_1.toBoolean)(generateTypeObject, default_constants_conversion_options_1.DEFAULT_CONST_CONVERSION_OPTIONS.generateTypeObject);
    generateEnum = (0, command_line_collector_helpers_1.toBoolean)(generateEnum, default_constants_conversion_options_1.DEFAULT_CONST_CONVERSION_OPTIONS.generateTypeObject);
    verbose = (0, command_line_collector_helpers_1.toBoolean)(verbose, default_constants_conversion_options_1.DEFAULT_CONST_CONVERSION_OPTIONS.verbose);
    exportCompleteIconSet = (0, command_line_collector_helpers_1.toBoolean)(exportCompleteIconSet, default_constants_conversion_options_1.DEFAULT_CONST_CONVERSION_OPTIONS.exportCompleteIconSet);
    // Because of commander adding default value to params
    // See: https://stackoverflow.com/questions/30238654/commander-js-collect-multiple-options-always-include-default
    let srcFiles = commander_1.default.srcFiles;
    if (srcFiles.length === 0) {
        srcFiles = default_constants_conversion_options_1.DEFAULT_CONST_CONVERSION_OPTIONS.srcFiles;
    }
    svgoConfig = yield (0, svg_optimization_1.getSvgoConfig)(svgoConfig);
    return {
        tsx,
        delimiter,
        fileName,
        enumName,
        interfaceName,
        srcFiles,
        outputDirectory,
        prefix,
        typeName,
        generateType,
        generateTypeObject,
        generateEnum,
        exportCompleteIconSet,
        completeIconSetName,
        svgoConfig,
        verbose
    };
});
exports.collectCommandLineConstantOptions = collectCommandLineConstantOptions;
//# sourceMappingURL=commandline-consts-options.collector.js.map